{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Document</title>
<script src="{% static 'dashboard/js/dashboard.js' %}" defer></script>
<link rel="stylesheet" type="text/css" href="{% static 'dashboard/css/dashboard.css' %}">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
{% endblock %}


{% block content %}
<div class="main-content">
    <header id="main_header">
        <div class="logos">
            <img src="{% static 'dashboard/images/logos/rising-academies.png' %}" id="rising-academies-logo"
                 alt="rising-academies-logo">
            <h1 id="heading-inscription">Rising Academy Network</h1>

        </div>
    </header>

    <div>
        <form method="POST" id="date-form">
            {% csrf_token %}
            <div class="form-row">
                <div class="form-group col-md-3">
                    <label for="start_date" class="ml-2">Start Date</label>
                    <input type="date" class="form-control" id="start_date" aria-describedby="start_date"
                           name="start_date" value="{{ dates.start_date }}">
                </div>
                <div class="form-group col-md-3">
                    <label for="stop_date" class="ml-2">End Date</label>
                    <input type="date" class="form-control" id="stop_date" aria-describedby="stop_date"
                           name="stop_date" value="{{ dates.stop_date }}">
                </div>
                <div class="form-group col-md-3">
                    <button type="submit" class="btn btn-primary btn-lg mt-4" id="submit_button">Submit</button>
                </div>
            </div>
        </form>
    </div>

    <div class="numbers-data">
        <ul>
            {% for indicator in indicators %}
            <li>
                <div>
                    <p class="inscription">{{ indicator.label }}</p>
                    <p class="numbers">{{ indicator.value }}</p>
                </div>
            </li>
            {% endfor %}
        </ul>
    </div>

    <div id="charts2">
        {% for item in charts %}
        <!--    <div class="card">-->
        <!--    To pass as an image-->
        <!--    <img class="card-img" src="data:image/png;base64, {{ chart.image|safe }}">-->
        <!--    To pass as a html div, safe filter to avoid autoescape-->
        <!--    </div>-->
        {{ item.chart|safe }}
        {% endfor %}
    </div>
    <div id="images">
        {% for item in images %}
        <img class="img-fluid" src="{% static 'images/' %}{{item.image}}" alt="Messages 4">
        {% endfor %}
    </div>
    <div id="images-data">
        {% for item in images_data %}
            <img class="card-img" src="data:image/png;base64, {{ item.image_data|safe }}">
        {% endfor %}
    </div>
</div>


{% endblock %}
